<div class="p-box" id="promo-apps-block" style="display: none;">
    <div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
    <div class="p-box-ml">
        <div class="p-box-mr">
            <div class="p-box-mc">
                <?php if ($this->hideAction): ?>
                <span id="promo-apps-close" class="close"></span>
                <?php endif; ?>
                <div class="p-box-content">
                    <p><?php echo $this->lmsg('admin.controllers.server.featured-applications.promoInfo'); ?></p>
                    <div id="promo-apps-list">

<?php $index = 1; ?>
<?php foreach ($this->itemsByCategories as $categoryName => $items): ?>
    <?php if (1 == $index): ?>
        <?php $pageStarted = true; ?>
        <dl class="app-list" style="display: none">
    <?php endif; ?>
    <dt class="app-list-title"><span><?php echo $this->escape($categoryName); ?></span></dt>
    <?php foreach ($items as $item): ?>
        <?php if (1 == $index && !$pageStarted): ?>
            <?php $pageStarted = true; ?>
            <dl class="app-list" style="display: none">
            <dt class="app-list-title"><span><?php echo $this->escape($categoryName); ?></span></dt>
        <?php endif; ?>
        <dd class="app-list-item">
            <a href="#" onclick="Jsw.FormRedirect.redirect('<?php echo $this->baseUrl($this->detailsAction); ?>', 'post', { 'details': <?php echo $this->jsEscape($this->json($item['details'])); ?> });" class="app-list-item-block">
                <span class="app-list-item-icon"><img alt="" src="<?php echo $item['icon']; ?>"></span>
                <span class="app-list-item-name"><?php echo $this->escape($item['title']); ?></span>
                <span class="app-list-item-info"><?php echo $this->escape($item['info']); ?></span>
            </a>
        </dd>
        <?php $index++; ?>
        <?php if (7 == $index): ?>
            </dl>
            <?php $index = 1; ?>
            <?php $pageStarted = false; ?>
        <?php endif; ?>
    <?php endforeach; ?>
<?php endforeach; ?>

                    </div>
                </div>
                <div id="promo-apps-navigation" class="p-box-footer" style="display: none">
                    <div class="p-box-footer-wrap">
                        <div class="p-box-footer-wrap-inner">
                            <div class="p-box-footer-nav">
                                <a href="#" class="link-01" id="promo-apps-prev-link"><span>&lt;&lt; <?php echo $this->lmsg('admin.controllers.server.featured-applications.prevLink'); ?></span></a>
                                <a href="#" class="link-01" id="promo-apps-next-link"><span><?php echo $this->lmsg('admin.controllers.server.featured-applications.nextLink'); ?> &gt;&gt; </span></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
</div>

<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {
    var pages = $('promo-apps-list').select('.app-list');

    if (0 == pages.size()) {
        $('side-panel').remove();
        $(document.body).removeClassName('with-side-panel');
        $('main-settings-content').removeClassName('main-content');
        return;
    }

    $('promo-apps-block').show();

    if (pages.size() > 1) {
        $('promo-apps-navigation').show();

        function findPageMaxHeight(pages) {
            var maxHeight = 0;

            for (var index = 0; index < pages.size(); index++) {
                // show page to calculate proper size
                pages[index].show();
                if (pages[index].getHeight() > maxHeight) {
                    maxHeight = pages[index].getHeight();
                }
                pages[index].hide();
            }

            return maxHeight;
        }

        var pageMaxHeight = findPageMaxHeight(pages);
        pages.each(function(page) {
            page.setStyle({ height: pageMaxHeight + 'px' });
        });

        function findIndexOfVisiblePage(pages) {
            for (var index = 0; index < pages.size(); index++) {
                if (pages[index].visible()) {
                    return index;
                }
            }

            return 0;
        }

        $('promo-apps-prev-link').observe('click', function() {
            var foundPageIndex = findIndexOfVisiblePage(pages);
            var newPageIndex = foundPageIndex - 1;
            if (newPageIndex < 0) {
                newPageIndex = pages.size() - 1;
            }
            pages[foundPageIndex].hide();
            pages[newPageIndex].show();
        });

        $('promo-apps-next-link').observe('click', function() {
            var foundPageIndex = findIndexOfVisiblePage(pages);
            var newPageIndex = foundPageIndex + 1;
            if (newPageIndex >= pages.size()) {
                newPageIndex = 0;
            }
            pages[foundPageIndex].hide();
            pages[newPageIndex].show();
        });
    }

    pages.first().show();

    <?php if ($this->hideAction): ?>
    $('promo-apps-close').observe('click', function() {
        $('side-panel').remove();
        $(document.body).removeClassName('with-side-panel');
        $('main-settings-content').removeClassName('main-content');
        new Ajax.Request(<?php echo $this->jsEscape($this->baseUrl($this->hideAction)) ?>, { method: 'post' });
    });
    <?php endif; ?>
});
//]]>
</script>
